type and set value

Like 'test and set,' check a type and set a value in one go. More...

## Functions

int | libdap::check_float64 (const char *val, double &v)
int | libdap::check_int32 (const char *val, int &v)
int | libdap::check_uint32 (const char *val, unsigned int &v)

## Detailed Description

Like 'test and set,' check a type and set a value in one go.

## Function Documentation

## check_float64()

int libdap::check_float64 | ( | const char * | val,
|  | double & | v )

Definition at line 472 of file parser-util.cc.

## check_int32()

int libdap::check_int32 | ( | const char * | val,
|  | int & | v )

Definition at line 290 of file parser-util.cc.

## check_uint32()

int libdap::check_uint32 | ( | const char * | val,
|  | unsigned int & | v )

Definition at line 316 of file parser-util.cc.